function PrintFigure(figNum, filename, w, h)
f = figure(figNum);
p = inputParser;
p.addRequired('width', @(x) isnumeric(x) && all(size(x)==1) );
p.addRequired('height',@(x) isnumeric(x) && all(size(x)==1) );
p.addOptional('units','centimeters',...
    @(x) any(strcmpi(x,{'normalized','centimeters','inches','points'})) );

% w = 6.25;
% h = 3.5;
% w = 6.25;
% h = 4.5;
u = 'inches';
p.parse( w, h, u );
w = p.Results.width;
h = p.Results.height;
u = p.Results.units;

p = 0.01;

set(gcf,'Units',u);
screenpos = get(gcf,'Position');

set(gcf,...
    'Position',[screenpos(1:2) w h],...
    'PaperUnits',u,...
    'PaperPosition',[p*w p*h w h],...
    'PaperSize',[w*(1+2*p) h*(1+2*p)]);


% set(gcf, 'PaperUnits', 'inches');
% set(gcf, 'PaperSize', [6.25 3.5]);
% set(gcf, 'PaperPositionMode', 'manual');
% set(gcf, 'PaperPosition', [0 0 6.25 3.5]);

fileStr = sprintf(filename);
filename = fileStr;
set(gcf, 'renderer', 'opengl');
print(gcf, '-dpdf', [filename '.pdf']);
% print(gcf, '-dpng', [filename '.png']);

end

